Subject: [quicwg/base-drafts] Transport: IANA section inconsistency regarding 0-63 range for 62-bit values (#4385)

From: Magnus Westerlund <[email-masked]>
Date: Tue, 17 Nov 2020 06:58:28 -0800

Section 22.1.4:

   "For
   instance, the registries for 62-bit codepoints in this document have
   stricter policies for codepoints in the range from 0 to 63."

Looking then at 22.2 it states:

   The "QUIC Transport Parameters" registry governs a 62-bit space.
   This registry follows the registration policy from Section 22.1.
   Permanent registrations in this registry are assigned using the
   Specification Required policy ([RFC8126]).

No mention of the special registration rule for values in the 0-63 range. 

Section 22.3 and 22.4 do have these special rules. 

So should 22.1.4 be changed to state "may"/"sometime" have this rule. Or should a special rule be added to 22.2 and the version registry?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4385